Page MenuHomePhabricator

Set l10nupdate cron to run Mon-Thursday
Closed, ResolvedPublic

Description

Per standard operating procedures for deploys/updates to production we should set the daily l10nupdate runs to happen only on Mon-Thurs.

Details

Related Gerrit Patches:
operations/puppet : productionRun l10nupdate monday to thursday

Event Timeline

greg created this task.Apr 27 2017, 9:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2017, 9:52 PM

Change 350749 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/puppet@production] Run l10nupdate monday to thursday

https://gerrit.wikimedia.org/r/350749

Reedy added a subscriber: Reedy.Apr 27 2017, 10:02 PM

Technically, shouldn't it be Tuesday-Friday? As it runs at 2am UTC?

greg added a comment.Apr 27 2017, 10:03 PM

I'm speaking in UTC. So UTC Monday 02:00 through UTC Thursday 02:00. Right? :)

Not fussed either way, just it could be interpreted as either..

Friday 2am UTC SFers would be just about. Monday it would be Sunday evening...

greg added a comment.Apr 27 2017, 10:10 PM

Idea was Sunday evening SF time is a few hours before EU Ops/RelEng wake up, so that's OK. And then stop Wednesday evening (SF) to not have l10n break on Friday morning (UTC)/Thursday evening (SF).

greg assigned this task to Reedy.Apr 27 2017, 10:14 PM

Change 350749 merged by Dzahn:
[operations/puppet@production] Run l10nupdate monday to thursday

https://gerrit.wikimedia.org/r/350749

Mentioned in SAL (#wikimedia-operations) [2017-06-21T00:06:24Z] <mutante> tin (deployment): manually remove l10nupdate cron, let puppet re-create it after gerrit:350749. stops l10nupdate cron from running on weekends. naos didn't need an action. (T164035).

Dzahn closed this task as Resolved.Jun 21 2017, 12:08 AM
Dzahn added a subscriber: Dzahn.
[tin:~] $ sudo crontab -u l10nupdate -l | tail -2
# Puppet Name: l10nupdate
0 2 * * 1,2,3,4 /usr/local/bin/l10nupdate-1 --verbose >> /var/log/l10nupdatelog/l10nupdate.log 2>&1

[naos:~] $ sudo crontab -u l10nupdate -l | tail -2
# HEADER: not be deleted, as doing so could cause duplicate cron jobs.